Subject: POP3, and Netscape and Pine 3.91 crash

From: Thomas Harrington <[email-masked]>
Date: Thu, 07 Nov 1996 11:54:48 -0800

Help please.

We are attempting to move our mail off our overloaded UNIX box to our NT
server.  We are running Netscape Mailserver 2.0 on an NT 3.51 Server. 
Our unix box is a Sequent S81 running Dynix/PTX 2.1.6. Here is the
problem.

Not all of our users have access to netscape's mail client.  Some will
need to use Pine 3.91 to view the mail in their inbox.  Some time they
will also use Netscape 3.0 Mail Client to view the mail.

If I send a message and view it using Pine 3.91 to our POP3 Server... I
works!  If I send a message as view it using Netscape 3.0 mail client
WITH netscape set to DOWNLOAD the mail from to server to the local hard
drive... It WORKS!!

If I receive mail and view it using Netscape Mail Client set NOT do
download the mail, and then I go in to Pine 3.91, I can log into the
POP3 server.  It tells me that I have the correct number of message
waiting.  When I press 'I' to go into my inbox I get this...

	Bug in Pine detected: "Out of free storage".
	Exiting pine.

		Attempting to save debug file to /home/tomh/.pine-crash

	IOT trap

What gives?  Any Ideas?  We have enough free space on the drive.  I just
don't know whats going on.  I have attached the .pine-crash file for
those interested.

I will be eternaly grateful for help with this.

Thank You in advance...

Thomas Harrington
[email-masked]
Debug output of the Pine program (at debug level 2).  Version 3.91
Thu Nov  7 11:45:39 1996

reading_pinerc "/usr/local/lib/pine.conf"
Open failed: No such file or directory
reading_pinerc "/lvccld/auto/home/tomh/.pinerc"
Read 5574 characters:
reading_pinerc "/usr/local/lib/pine.conf.fixed"
Open failed: No such file or directory
======= Current_val options set =======
          smtp-server : post-office.lvccld.lib.nv.us
          nntp-server : post-office.lvccld.lib.nv.us
           inbox-path : {post-office.lvccld.lib.nv.us/pop3}
   folder-collections : mail/[]
     news-collections : NewsGroups *{post-office.lvccld.lib.nv.us/nntp}[]
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
 last-time-prune-ques : 96.11
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (/lvccld/auto/home/tomh/.pinerc) =======
          smtp-server : post-office.lvccld.lib.nv.us
          nntp-server : post-office.lvccld.lib.nv.us
           inbox-path : {post-office.lvccld.lib.nv.us/pop3}
     news-collections : NewsGroups *{post-office.lvccld.lib.nv.us/nntp}[]
 last-time-prune-ques : 96.11
    last-version-used : 3.91
======= Global_val options set (/usr/local/lib/pine.conf) =======
           inbox-path : inbox
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
  no-auto-move-read-msgs
  no-auto-open-next-unread
  no-compose-rejects-unqualified-addrs
  no-compose-sets-newsgroup-without-confirm
  no-delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
  no-enable-aggregate-command-set
  no-enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
  no-enable-bounce-cmd
  no-enable-flag-cmd
  no-enable-full-header-cmd
  no-enable-incoming-folders
  no-enable-jump-shortcut
  no-enable-mail-check-cue
  no-enable-suspend
  no-enable-tab-completion
  no-enable-unix-pipe-cmd
  no-expanded-view-of-addressbooks
  no-expanded-view-of-folders
  no-expunge-without-confirm
  no-include-attachments-in-reply
  no-include-header-in-reply
  no-include-text-in-reply
  no-news-approximates-new-status
  no-news-post-without-validation
  no-news-read-in-newsrc-order
  no-preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
  no-quit-without-confirm
  no-save-will-quote-leading-froms
  no-save-will-not-delete
  no-save-will-advance
  no-select-without-confirm
  no-show-selected-in-boldface
  no-signature-at-bottom
  no-use-current-dir
  no-use-function-keys
Userid: tomh
Fullname: "Tom Harrington Automation"
User domain name being used ""
Local Domain name being used "lvccld.lib.nv.us"
Host name being used "shaman.lvccld.lib.nv.us"
Mail Domain name being used (by c-client too)"shaman.lvccld.lib.nv.us"
Context mail/[] type: LOCAL
new win size -----<24 80>------
Terminal type: vt100
Context mail/[] type: LOCAL
Context *{post-office.lvccld.lib.nv.us/nntp}[] type: REMOTE BBOARD OLDTECH
About to open folder "INBOX"    inbox: "INBOX"
IMAP 11:45 11/7 mm_log babble: post-office.lvccld.lib.nv.us POP3 server (Netscape Mail Server v2.01) ready Thu, 7 Nov 1996 11:48:36 -0800
Opened folder "{post-office.lvccld.lib.nv.us/pop3}" with 4 messages
Sorting by Arrival
IMAP 11:45 11/7 mm_log babble: Find of mailbox outside context: /lvccld/auto/home/tomh/.pine-interrupted-mail
- mailcap_free -

    ---- MAIN_MENU_SCREEN ----

 ---- MAIL INDEX ----

 ---- INDEX MANAGER ----
about to end_tty_driver
Pine Panic: Out of free storage

save_debug_on_crash: Version 3.91: debug level 2

                   : Thu Nov  7 11:45:51 1996

Attempting to save debug file to /lvccld/auto/home/tomh/.pine-crash